org.apache.uima.resource.metadata.impl

## Class MimeTypePrecondition_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.SimplePrecondition_impl
    - - org.apache.uima.resource.metadata.impl.MimeTypePrecondition_impl

- All Implemented Interfaces:
    Serializable, Cloneable, MetaDataObject, MimeTypePrecondition, Precondition, SimplePrecondition, XMLizable

      public class MimeTypePrecondition_impl
      extends SimplePrecondition_impl
      implements MimeTypePrecondition

  Precondition that tests the MIME type of the Entity's content.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

    - ### Fields inherited from interface org.apache.uima.resource.metadata.SimplePrecondition

      `ELEMENT_OF, EQUAL, LANGUAGE_SUBSUMED, PRECONDITION_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeTypePrecondition_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getMimeTypes()` Gets the MIME types that satisfy this precondition.
    `void` | `setComparisonValue(Object aValue)` Sets the literal value to which features' values will be compared.
    `void` | `setFeatureName(String aFeatureName)` Sets the name of the feature to be tested.
    `void` | `setFsIndexName(String aIndexName)` Sets the name of the FeatureStructure index containing FeatureStructures to be tested by this precondition.
    `void` | `setFsMatchConstraint(FSMatchConstraint aConstraint)` Sets the FSMatchConstraint that determines which CAS feature structures will be tested by this precondition.
    `void` | `setMetaDataKeyName(String aKey)` This method throws UNSUPPORTED_METHOD
    `void` | `setMimeTypes(String[] aMimeTypes)` Sets the MIME types that satisfy this precondition.
    `void` | `setPredicate(String aPredicate)` Sets the predicate used to compare the test value to the comparison value.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.SimplePrecondition_impl

      `evaluate, getComparisonValue, getDefault, getFeatureName, getFsIndexName, getFsMatchConstraint, getPreconditionType, getPredicate, getXmlizationInfo, isValidPredicateName, setDefault`

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.SimplePrecondition

      `getComparisonValue, getDefault, getFeatureName, getFsIndexName, getFsMatchConstraint, getPreconditionType, getPredicate, setDefault`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.Precondition

      `evaluate`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### MimeTypePrecondition_impl

          public MimeTypePrecondition_impl()

  - ### Method Detail

    - #### getMimeTypes

          public String[] getMimeTypes()

      Description copied from interface: `MimeTypePrecondition`
      Gets the MIME types that satisfy this precondition.

      Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

      Specified by:
        `getMimeTypes` in interface `MimeTypePrecondition`
      Returns:
        the MIME Types that satisfy this precondition
      See Also:
        `MimeTypePrecondition.getMimeTypes()`

    - #### setMimeTypes

          public void setMimeTypes(String[] aMimeTypes)

      Description copied from interface: `MimeTypePrecondition`
      Sets the MIME types that satisfy this precondition.

      Note that if the document's MIME Type is unknown, the value of the `default` property determines whether this precondition is satisfied.

      Specified by:
        `setMimeTypes` in interface `MimeTypePrecondition`
      Parameters:
        `aMimeTypes` - the MIME Types that satisfy this precondition
      See Also:
        `MimeTypePrecondition.setMimeTypes(java.lang.String[])`

    - #### setComparisonValue

          public void setComparisonValue(Object aValue)

      Description copied from interface: `SimplePrecondition`
      Sets the literal value to which features' values will be compared.
      Specified by:
        `setComparisonValue` in interface `SimplePrecondition`
      Overrides:
        `setComparisonValue` in class `SimplePrecondition_impl`
      Parameters:
        `aValue` - the comparison value, which must be a String, Integer, Float, Boolean, or an array of one of those four types.
      See Also:
        `SimplePrecondition.setComparisonValue(java.lang.Object)`

    - #### setFeatureName

          public void setFeatureName(String aFeatureName)

      Description copied from interface: `SimplePrecondition`
      Sets the name of the feature to be tested.
      Specified by:
        `setFeatureName` in interface `SimplePrecondition`
      Overrides:
        `setFeatureName` in class `SimplePrecondition_impl`
      Parameters:
        `aFeatureName` - the feature name, `null` if none
      See Also:
        `SimplePrecondition.setFeatureName(java.lang.String)`

    - #### setFsIndexName

          public void setFsIndexName(String aIndexName)

      Description copied from interface: `SimplePrecondition`
      Sets the name of the FeatureStructure index containing FeatureStructures to be tested by this precondition.
      Specified by:
        `setFsIndexName` in interface `SimplePrecondition`
      Overrides:
        `setFsIndexName` in class `SimplePrecondition_impl`
      Parameters:
        `aIndexName` - the name of the FS index, `null` if the default annotation index should be used
      See Also:
        `SimplePrecondition.setFsIndexName(java.lang.String)`

    - #### setFsMatchConstraint

          public void setFsMatchConstraint(FSMatchConstraint aConstraint)

      Description copied from interface: `SimplePrecondition`
      Sets the FSMatchConstraint that determines which CAS feature structures will be tested by this precondition.
      Specified by:
        `setFsMatchConstraint` in interface `SimplePrecondition`
      Overrides:
        `setFsMatchConstraint` in class `SimplePrecondition_impl`
      Parameters:
        `aConstraint` - the FS match constraint, `null` if none
      See Also:
        `SimplePrecondition.setFsMatchConstraint(org.apache.uima.cas.FSMatchConstraint)`

    - #### setMetaDataKeyName

          public void setMetaDataKeyName(String aKey)

      This method throws UNSUPPORTED_METHOD
      Parameters:
        `aKey` - -
      Throws:
        `UIMA_UnsupportedOperationException` - -

    - #### setPredicate

          public void setPredicate(String aPredicate)

      Description copied from interface: `SimplePrecondition`
      Sets the predicate used to compare the test value to the comparison value.
      Specified by:
        `setPredicate` in interface `SimplePrecondition`
      Overrides:
        `setPredicate` in class `SimplePrecondition_impl`
      Parameters:
        `aPredicate` - a String that identifies the predicate used. This must match one of the constants defined on this interface.
      See Also:
        `SimplePrecondition.setPredicate(java.lang.String)`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.